iopending(1m)

NAME
iopending - plot number of pending disk events. Uses DTrace.

SYNOPSIS
iopending [-c] [-d device] [-f filename] [-m mount_point] [interval [count]]

DESCRIPTION
This samples the number of disk events that are pending and plots a distribution graph. By doing this the "serialness" or "parallelness" of disk behaviour can be distinguished. A high occurance of a pending value of more than 1 is an indication of saturation. Since this uses DTrace, only the root user or users with the dtrace_kernel privilege can run this command.

OS
Solaris

STABILITY
stable - needs the io provider.

OPTIONS

-c  clear screen

-d device
    instance name to snoop (eg, dad0)

-f filename
    full pathname of file to snoop

-m mount_point
    mountpoint for filesystem to snoop

EXAMPLES

Default output, print I/O summary every 1 second,
    # iopending

Print 10 second samples,
    # iopending 10

Print 12 x 5 second samples,
    # iopending 5 12

Snoop events on the root filesystem only,
    # iopending -m /

FIELDS

value
    number of pending events, 0 == idle

count
    number of samples @ 1000 Hz

load
    1 min load average

disk_r
    total disk read Kb for sample

disk_w
    total disk write Kb for sample

IDEA
Dr Rex di Bona

DOCUMENTATION
See the DTraceToolkit for further documentation under the Docs directory. The DTraceToolkit docs may include full worked examples with verbose descriptions explaining the output.

EXIT
iopending will run forever until Ctrl-C is hit, or the specified count is reached.

AUTHOR
Brendan Gregg [Sydney, Australia]

SEE ALSO
iosnoop(1M), iotop(1M), dtrace(1M)